Bug 821102 - Window decoration corruption
Window decoration corruption
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: muffin (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 18:08 EDT by Gene Snider
Modified: 2012-05-15 14:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-11 21:13:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Snider 2012-05-11 18:08:17 EDT
Description of problem:
I believe this problem started with gnome 3.4.  The window decoration is black and without buttons.  Sometimes corrupted buttons appear, but it's not reproducible.  Using gnome-tweak-tool to change the GTK+ theme corrects the problem temporarily.  I picked muffin because of this Gentoo Change Log,

http://gentoo-portage.com/x11-wm/muffin/ChangeLog.

Version-Release number of selected component (if applicable):
Installed Packages
muffin.x86_64                     1.0.3-1.fc17                      @/muffin-1.0.3-1.fc17.x86_64


How reproducible:
Happens at login.

Steps to Reproduce:
1. Install updated Fedora 17 and cinnamon
2. Log in to a cinnamon session.
3.
  
Actual results:
Corrupted window decorations.

Expected results:
Normal window decorations.

Additional info:
There are bug reports for several other distros running gnome 3.4.
Comment 1 leigh scott 2012-05-11 21:13:47 EDT
I'm closing this as wont fix as 1.0.3 isn't even in the fedora repo.
Comment 2 leigh scott 2012-05-12 13:48:02 EDT
Ok, I have done a new muffin build based on my own fork of muffin and applied rat4's pull to master

https://github.com/linuxmint/muffin/pull/13

https://github.com/leigh123linux/muffin/tree/new_branch_name

I have pushed this + the latest cinnamon git snapshot to my repo

http://repos.fedorapeople.org/repos/leigh123linux/cinnamon/fedora-17/x86_64/

Have fun :-)
Comment 3 Gene Snider 2012-05-12 18:13:33 EDT
Thanks Leigh, although the patch broke cinnamon somehow.  I downgraded to the muffin in the Fedora repo, and the gtk problem reappeared.  So that problem is in 1.02 as well as 1.03.  With the new muffin you just built, there was no panel or window decorations.  Do you need any info from me?

Gene
Comment 4 leigh scott 2012-05-12 23:52:16 EDT
(In reply to comment #3)
> Thanks Leigh, although the patch broke cinnamon somehow.  I downgraded to the
> muffin in the Fedora repo, and the gtk problem reappeared.  So that problem is
> in 1.02 as well as 1.03.  With the new muffin you just built, there was no
> panel or window decorations.  Do you need any info from me?
> 
> Gene

Try again as I messed up the repodata on the repo, my forked muffin packages are versioned as

muffin-1.0.4-0.1.fc17

and

muffin-1.0.4-0.2.fc17
Comment 5 Gene Snider 2012-05-14 14:38:14 EDT
Thanks!  1.0.4-0.2.fc17 works like a charm.  :)

Gene
Comment 6 Gene Snider 2012-05-15 13:10:14 EDT
Sorry to report, but one more problem.  Now I can't turn on the maximize and minimize buttons in the window decoration.  Cinnamon settings and gnome tweak tool both say they're turned on.  If I turn them off and reload cinnamon, it reloads.  Then if I turn them back on, it crashes to GDM when I reload.

Gene
Comment 7 leigh scott 2012-05-15 14:10:44 EDT
(In reply to comment #6)
> Sorry to report, but one more problem.  Now I can't turn on the maximize and
> minimize buttons in the window decoration.  Cinnamon settings and gnome tweak
> tool both say they're turned on.  If I turn them off and reload cinnamon, it
> reloads.  Then if I turn them back on, it crashes to GDM when I reload.
> 
> Gene

I'm aware of the issue, hopefully Clem will cinnamon-settings soon.

Note You need to log in before you can comment on or make changes to this bug.